PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_BaseDrawing

Source Location: /PHPExcel/Worksheet/BaseDrawing.php

### Class Overview

PHPExcel_Worksheet_BaseDrawing

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Variables

- $_coordinates
- $_description
- $_height
- $_name
- $_offsetX
- $_offsetY
- $_resizeProportional
- $_rotation
- $_shadow
- $_width
- $_worksheet

### Methods

- __construct
- getCoordinates
- getDescription
- getHashCode
- getHeight
- getImageIndex
- getName
- getOffsetX
- getOffsetY
- getResizeProportional
- getRotation
- getShadow
- getWidth
- getWorksheet
- setCoordinates
- setDescription
- setHeight
- setName
- setOffsetX
- setOffsetY
- setResizeProportional
- setRotation
- setShadow
- setWidth
- setWidthAndHeight
- setWorksheet
- __clone

### Child classes:

PHPExcel_Worksheet_Drawing
  PHPExcel_Worksheet_Drawing

PHPExcel_Worksheet_MemoryDrawing
  PHPExcel_Worksheet_MemoryDrawing

### Class Details

[line 36]
PHPExcel_Worksheet_BaseDrawing

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_coordinates =

[line 78]

Coordinates

#### Tags:

access: | protected

Type: | string

[ Top ]

#### $_description =

[line 64]

Description

#### Tags:

access: | protected

Type: | string

[ Top ]

#### $_height =

[line 106]

Height

#### Tags:

access: | protected

Type: | int

[ Top ]

#### $_name =

[line 57]

Name

#### Tags:

access: | protected

Type: | string

[ Top ]

#### $_offsetX =

[line 85]

Offset X

#### Tags:

access: | protected

Type: | int

[ Top ]

#### $_offsetY =

[line 92]

Offset Y

#### Tags:

access: | protected

Type: | int

[ Top ]

#### $_resizeProportional =

[line 113]

Proportional resize

#### Tags:

access: | protected

Type: | boolean

[ Top ]

#### $_rotation =

[line 120]

Rotation

#### Tags:

access: | protected

Type: | int

[ Top ]

#### $_shadow =

[line 127]

Shadow

#### Tags:

access: | protected

Type: | PHPExcel_Worksheet_Drawing_Shadow

[ Top ]

#### $_width =

[line 99]

Width

#### Tags:

access: | protected

Type: | int

[ Top ]

#### $_worksheet =

[line 71]

Worksheet

#### Tags:

access: | protected

Type: | PHPExcel_Worksheet

[ Top ]

### Class Methods

### constructor __construct [line 132]

`PHPExcel_Worksheet_BaseDrawing __construct( )`

Create a new PHPExcel_Worksheet_BaseDrawing

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_Drawing::__construct()
  Create a new PHPExcel_Worksheet_Drawing

PHPExcel_Worksheet_HeaderFooterDrawing::__construct()
  Create a new PHPExcel_Worksheet_HeaderFooterDrawing

PHPExcel_Worksheet_MemoryDrawing::__construct()
  Create a new PHPExcel_Worksheet_MemoryDrawing

[ Top ]

### method getCoordinates [line 251]

`string getCoordinates( )`

Get Coordinates

#### Tags:

access: | public

[ Top ]

### method getDescription [line 186]

`string getDescription( )`

Get Description

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 456]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Overridden in child classes as:

PHPExcel_Worksheet_Drawing::getHashCode()
  Get hash code

PHPExcel_Worksheet_HeaderFooterDrawing::getHashCode()
  Get hash code

PHPExcel_Worksheet_MemoryDrawing::getHashCode()
  Get hash code

[ Top ]

### method getHeight [line 339]

`int getHeight( )`

Get Height

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getHeight()
  Get Height

[ Top ]

### method getImageIndex [line 157]

`int getImageIndex( )`

Get image index

#### Tags:

access: | public

[ Top ]

### method getName [line 166]

`string getName( )`

Get Name

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getName()
  Get Name

[ Top ]

### method getOffsetX [line 271]

`int getOffsetX( )`

Get OffsetX

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getOffsetX()
  Get OffsetX

[ Top ]

### method getOffsetY [line 291]

`int getOffsetY( )`

Get OffsetY

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getOffsetY()
  Get OffsetY

[ Top ]

### method getResizeProportional [line 395]

`boolean getResizeProportional( )`

Get ResizeProportional

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getResizeProportional()
  Get ResizeProportional

[ Top ]

### method getRotation [line 415]

`int getRotation( )`

Get Rotation

#### Tags:

access: | public

[ Top ]

### method getShadow [line 435]

`PHPExcel_Worksheet_Drawing_Shadow getShadow( )`

Get Shadow

#### Tags:

access: | public

[ Top ]

### method getWidth [line 311]

`int getWidth( )`

Get Width

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::getWidth()
  Get Width

[ Top ]

### method getWorksheet [line 206]

`PHPExcel_Worksheet getWorksheet( )`

Get Worksheet

#### Tags:

access: | public

[ Top ]

### method setCoordinates [line 261]

`PHPExcel_Worksheet_BaseDrawing setCoordinates( [string $pValue = 'A1'])`

Set Coordinates

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setDescription [line 196]

`PHPExcel_Worksheet_BaseDrawing setDescription( [string $pValue = ''])`

Set Description

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setHeight [line 349]

`PHPExcel_Worksheet_BaseDrawing setHeight( [int $pValue = 0])`

Set Height

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setHeight()
  Set Height

#### Parameters:

int | $pValue |

[ Top ]

### method setName [line 176]

`PHPExcel_Worksheet_BaseDrawing setName( [string $pValue = ''])`

Set Name

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setName()
  Set Name

#### Parameters:

string | $pValue |

[ Top ]

### method setOffsetX [line 281]

`PHPExcel_Worksheet_BaseDrawing setOffsetX( [int $pValue = 0])`

Set OffsetX

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setOffsetX()
  Set OffsetX

#### Parameters:

int | $pValue |

[ Top ]

### method setOffsetY [line 301]

`PHPExcel_Worksheet_BaseDrawing setOffsetY( [int $pValue = 0])`

Set OffsetY

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setOffsetY()
  Set OffsetY

#### Parameters:

int | $pValue |

[ Top ]

### method setResizeProportional [line 405]

`PHPExcel_Worksheet_BaseDrawing setResizeProportional( [boolean $pValue = true])`

Set ResizeProportional

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setResizeProportional()
  Set ResizeProportional

#### Parameters:

boolean | $pValue |

[ Top ]

### method setRotation [line 425]

`PHPExcel_Worksheet_BaseDrawing setRotation( [int $pValue = 0])`

Set Rotation

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setShadow [line 446]

`PHPExcel_Worksheet_BaseDrawing setShadow( [PHPExcel_Worksheet_Drawing_Shadow $pValue = null])`

Set Shadow

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet_Drawing_Shadow | $pValue |

[ Top ]

### method setWidth [line 321]

`PHPExcel_Worksheet_BaseDrawing setWidth( [int $pValue = 0])`

Set Width

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setWidth()
  Set Width

#### Parameters:

int | $pValue |

[ Top ]

### method setWidthAndHeight [line 375]

`PHPExcel_Worksheet_BaseDrawing setWidthAndHeight( [int $width = 0], [int $height = 0])`

Set width and height with proportional resize

Example:

1. $objDrawing-> setResizeProportional (true);
2. $objDrawing-> setWidthAndHeight (160,120);

#### Tags:

author: | Vincent@luo MSN:kele_100@hotmail.com
access: | public

Overridden in child classes as:

PHPExcel_Worksheet_HeaderFooterDrawing::setWidthAndHeight()
  Set width and height with proportional resize

#### Parameters:

int | $width |
int | $height |

[ Top ]

### method setWorksheet [line 218]

`PHPExcel_Worksheet_BaseDrawing setWorksheet( [PHPExcel_Worksheet $pValue = null], [bool $pOverrideOld = false])`

Set Worksheet

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pValue |
bool | $pOverrideOld | If a Worksheet has already been assigned, overwrite it and remove image from old Worksheet?

[ Top ]

### method __clone [line 475]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Worksheet_Drawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

PHPExcel_Worksheet_HeaderFooterDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

PHPExcel_Worksheet_MemoryDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:13 +0200 by phpDocumentor 1.4.4